cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Francesco Chicchiriccò <ilgro...@apache.org>
Subject Re: Missing packages
Date Thu, 17 Jan 2013 09:21:11 GMT
On 16/01/2013 18:13, Alberto Brosich wrote:
> Hi,
>
> I'm trying to port an application from cocoon version 2.1.11 to version
> 2.2.0. The application uses the petstore block that I cannot find in the
> central maven repository.
> I tried to compile cocoon 2.2.0 from sources (from svn repository) but I
> got an error at captcha block.
> Is there any maven repository with a complete set of cocoon 2.2
> packages?

Hi Alberto,
there is nothing more complete than the central Maven repository :-)

Jokes apart, AFAIK the petstore block can be found in the Apache 
snapshot repository as

<dependency>
<groupId>org.apache.cocoon</groupId>
<artifactId>cocoon-petstore-impl</artifactId>
<version>1.0.0-SNAPSHOT</version>
</dependency>

In order to get deps from there you need to add to your root pom.xml

   <repositories>
     <repository>
       <id>ASF</id>
<url>https://repository.apache.org/content/repositories/snapshots/</url>
       <snapshots>
         <enabled>true</enabled>
       </snapshots>
     </repository>
   </repositories>

Hope this helps.
Regards.

-- 
Francesco Chicchiriccò

ASF Member, Apache Syncope PMC chair, Apache Cocoon PMC Member
http://people.apache.org/~ilgrosso/


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@cocoon.apache.org
For additional commands, e-mail: users-help@cocoon.apache.org


Mime
View raw message